<?php

if (!current_user_can('manage_options')) {
        wp_die(__('You do not have sufficient permissions to access this page.'));
    }

    echo '<div class="wrap">';
    echo '<h1>Performance Monitor</h1>';
if (get_option('performance_monitor') != 'on') {
    $url = is_multisite() 
        ? network_admin_url('admin.php?page=maintenance-options') 
        : admin_url('admin.php?page=maintenance-options');
    wp_die(__('<a href="' . $url . '">Enable Performance Monitor in Option Page.</a>'));
}

    echo '<button id="refresh-log">Refresh Log</button> <button id="clear-log">Clear Log</button> <span id="working-message" style="display:none;"><img src="'.admin_url('images/spinner.gif').'" alt="Working..."> Working...</span>';
    echo '<pre id="log-content" style="white-space: pre-wrap; word-wrap: break-word; background-color: #f5f5f5; padding: 10px; border: 1px solid #ccc; max-height: 500px; overflow-y: scroll;"></pre>';
    echo '</div>';

    // Inline JavaScript for AJAX functionality:
    echo "
    <script>
    jQuery(document).ready(function($) {
        function loadLog() {
            $('#working-message').show();
            $.post(ajaxurl, { 'action': 'load_log' }, function(response) {
                $('#log-content').text(response);
                $('#working-message').hide();
            });
        }

        $('#refresh-log').click(function() {
            loadLog();
        });

        $('#clear-log').click(function() {
            $('#working-message').show();
            $.post(ajaxurl, { 'action': 'clear_log' }, function() {
                loadLog();
            });
        });

        // Initial load:
        loadLog();
    });
    </script>
    ";